#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/select.h>

#include "inotify.h"

#define ALL_MASK 0xffffffff

#include "inotify_utils.h"

int main (int argc, char **argv)
{
	int fd;

	fd = open_dev();

	if (fd < 0) {
		return 0;
	}

	watch_dir (fd, argv[1], ALL_MASK);
	read_and_print_events (fd);

	dev_stats (fd);
	close_dev (fd);
	return 0;
}
